Bug 29312 - RFE: feature to indicate which characters are missing to satisfy the language support
Summary: RFE: feature to indicate which characters are missing to satisfy the language...
Status: RESOLVED FIXED
Alias: None
Product: fontconfig
Classification: Unclassified
Component: library (show other bugs)
Version: 2.8
Hardware: Other All
: medium enhancement
Assignee: Akira TAGOH
QA Contact: Behdad Esfahbod
URL:
Whiteboard:
Keywords:
Depends on: 32853
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-29 19:53 UTC by Akira TAGOH
Modified: 2013-01-09 05:35 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Patch to add a cmdline tool (17.03 KB, patch)
2010-07-30 03:41 UTC, Akira TAGOH
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Akira TAGOH 2010-07-29 19:53:35 UTC
I'm keen to see a tool in fontconfig upstream for the purpose of what summary says. this is useful and helpful for the font designers to see what they need to do next to support the language X on fontconfig.
Comment 1 Akira TAGOH 2010-07-30 03:41:45 UTC
Created attachment 37454 [details] [review]
Patch to add a cmdline tool
Comment 2 Akira TAGOH 2011-06-13 20:14:25 UTC
Any thought on this?
Comment 3 Behdad Esfahbod 2011-06-14 11:03:56 UTC
The approach here is completely wrong.  You can't include fcint.h.

Just fix Bug 32853 - Export FcGetDefaultLang().  Then use that function, or what's passed to -l, or if -a is used, every language in FcGetLangs().  Get charset for that.

FcFreeTypeCharSet() the face, get the charset there.

FcCharSetSubtract() the two charsets.

Print the difference.

Not sure if this should be a separate tool.  I'm leaning towards an option to fc-query.
Comment 4 Akira TAGOH 2012-09-05 06:48:04 UTC
Initial patch to fc-query:
  http://cgit.freedesktop.org/~tagoh/fontconfig/commit/?h=bz29312

Though the output isn't ideal. it's hard to see what exactly is missing. we need to have another function to show the detailed FcCharSet.
Comment 5 Behdad Esfahbod 2012-09-05 16:05:22 UTC
I don't think overloading fc-query for this purpose is a good idea.
Comment 6 Akira TAGOH 2012-09-05 17:02:13 UTC
I don't have strong opinion to do it in fc-query as my initial proposal was to have a separate tool on it.
Comment 7 Akira TAGOH 2012-09-10 07:10:49 UTC
reworked to add fc-validate instead of extending features in fc-query.
Comment 8 Akira TAGOH 2013-01-09 05:35:42 UTC
After writing a document for FcLangNormalize(), committed into git master.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.